cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments" \
-u USERNAME_OR_ACCESS_TOKEN \
-X POST \
-F branch=my-feature-branch \
-F url=https://figma.com/file/xxxxx/sample \phrase figma_attachment create \
--project_id <project_id> \
--data '{"branch":"my-feature-branch", "url":"https://figma.com/file/xxxxx/sample"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments"
payload = {
"url": "https://figma.com/file/xxxxx/sample",
"branch": "my-feature-branch"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://figma.com/file/xxxxx/sample', branch: 'my-feature-branch'})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Figma attachments
Create a Figma attachment
Create a new Figma attachment.
POST
/
projects
/
{project_id}
/
figma_attachments
cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments" \
-u USERNAME_OR_ACCESS_TOKEN \
-X POST \
-F branch=my-feature-branch \
-F url=https://figma.com/file/xxxxx/sample \phrase figma_attachment create \
--project_id <project_id> \
--data '{"branch":"my-feature-branch", "url":"https://figma.com/file/xxxxx/sample"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments"
payload = {
"url": "https://figma.com/file/xxxxx/sample",
"branch": "my-feature-branch"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://figma.com/file/xxxxx/sample', branch: 'my-feature-branch'})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
specify the branch to use
Body
application/json
Was this page helpful?
⌘I